<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="NotificacionSegundoAviso" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="2f1b2c12-2550-4af2-ad24-e57c4d51c320">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.9487171000000014"/>
	<property name="ireport.x" value="26"/>
	<property name="ireport.y" value="1124"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="LOGO" class="java.io.InputStream" isForPrompting="false"/>
	<parameter name="NOTIFICACION_ID" class="java.lang.Long"/>
	<parameter name="SCHEMA2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["CREDITOS.dbo"]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORTS_PATH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="FECHA" class="java.lang.String" isForPrompting="false"/>
	<parameter name="FOOTER" class="java.io.InputStream" isForPrompting="false"/>
	<parameter name="PLAZO" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="FECHACREADA" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT n.id, n.fechaCreada, n.fechaVenc,n.tipoAviso,n.tipoNotificacion
,o.numeroAtencion,p.NOMB_12,c.asunto,c.denominacion,c.texto,o.expediente,
(CASE WHEN dom.calle_IDCALLE IS NULL THEN dom.calleNom ELSE ca.DETA_08 end) AS calleNom,
dom.NUMERO, p.PISO,p.DPTO,l.nombre as LOCALIDAD, p.CUIL_12,
dom.departamentoNom, PR.deta_08,
t.TF_DESCRIPCION as comportamiento, cuo.fechaVencimiento,
dom.lote, dom.manzana,
ba.DESC_BRR AS barrioNom, l.CP
FROM $P!{SCHEMA2}.Notificacion n
LEFT JOIN $P!{SCHEMA2}.ConfiguracionNotificacion c on n.configuracion_id = c.id
INNER JOIN $P!{SCHEMA2}.Objetoi o on n.credito_id = o.id
INNER JOIN $P!{SCHEMA2}.PERSONA p on o.persona_IDPERSONA = p.IDPERSONA
INNER JOIN $P!{SCHEMA2}.ObjetoiComportamiento oc on o.id = oc.objetoi_id and oc.fecha = (select max(fecha) from ObjetoiComportamiento where objetoi_id = o.id and fechaHasta IS NULL)
INNER JOIN $P!{SCHEMA2}.Tipificadores t on oc.comportamientoPago = t.TF_CODIGO and t.TF_CATEGORIA = 'comportamientoPago'
INNER JOIN $P!{SCHEMA2}.Cuota cuo on o.id = cuo.credito_id and cuo.fechaVencimiento = (select min(fechaVencimiento) from cuota where credito_id = o.id and estado = '1')
LEFT JOIN $P!{SCHEMA2}.DomicilioObjetoi do ON do.objetoi_id = o.id
LEFT JOIN $P!{SCHEMA2}.Domicilio dom ON dom.id = do.domicilio_id
LEFT JOIN $P!{SCHEMA2}.Calle ca ON dom.calle_IDCALLE = ca.IDCALLE
LEFT JOIN $P!{SCHEMA2}.Barrio ba ON dom.barrio_CODI_BRR = ba.CODI_BRR
LEFT JOIN $P!{SCHEMA2}.LOCALIDAD l ON l.IDLOCALIDAD = dom.localidad_IDLOCALIDAD
LEFT JOIN $P!{SCHEMA2}.PROVIN PR ON PR.CODI_08 = dom.provincia_CODI_08
WHERE n.id = $P{NOTIFICACION_ID}]]>
	</queryString>
	<field name="id" class="java.math.BigDecimal"/>
	<field name="fechaCreada" class="java.sql.Timestamp"/>
	<field name="fechaVenc" class="java.sql.Timestamp"/>
	<field name="tipoAviso" class="java.lang.String"/>
	<field name="tipoNotificacion" class="java.lang.String"/>
	<field name="numeroAtencion" class="java.math.BigDecimal"/>
	<field name="NOMB_12" class="java.lang.String"/>
	<field name="asunto" class="java.lang.String"/>
	<field name="denominacion" class="java.lang.String"/>
	<field name="texto" class="java.lang.String"/>
	<field name="expediente" class="java.lang.String"/>
	<field name="calleNom" class="java.lang.String"/>
	<field name="NUMERO" class="java.lang.String"/>
	<field name="PISO" class="java.lang.String"/>
	<field name="DPTO" class="java.lang.String"/>
	<field name="LOCALIDAD" class="java.lang.String"/>
	<field name="CUIL_12" class="java.math.BigDecimal"/>
	<field name="fechaVencimiento" class="java.sql.Timestamp"/>
	<field name="comportamiento" class="java.lang.String"/>
	<field name="departamentoNom" class="java.lang.String"/>
	<field name="deta_08" class="java.lang.String"/>
	<field name="lote" class="java.lang.String"/>
	<field name="manzana" class="java.lang.String"/>
	<field name="barrioNom" class="java.lang.String"/>
	<field name="CP" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="277" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-2" x="0" y="128" width="21" height="16" uuid="721559ba-9e7e-42e5-ae53-4f294e7731a5"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Sr.:]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-8" x="20" y="128" width="514" height="16" uuid="a8bf2fcb-0025-4c4d-a306-5b3faa6bac7e"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NOMB_12}+" - "+$F{CUIL_12}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-9" x="0" y="144" width="535" height="16" uuid="712a52cb-f65f-4ba9-a3bf-133fa11a6641"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[(($F{calleNom}!=null?$F{calleNom}.toUpperCase():" ")+
($F{NUMERO}!= null?" "+$F{NUMERO}+" - ":" ")
+($F{manzana}!= null?" Manz/Piso: "+$F{manzana}+" - ":" ")
+($F{lote}!= null?" Lote/Dpto: "+$F{lote}+" - ":" - ")
+($F{barrioNom}!= null?" "+$F{barrioNom}+" - ":" ")+
($F{LOCALIDAD}!= null?" "+$F{LOCALIDAD}.toUpperCase()+" - ":" ")+
($F{CP}!= null ? "("+$F{CP}+")":" "))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-6" x="250" y="201" width="78" height="16" uuid="735e0d00-098c-4fc0-8403-2ab6de014c7f"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Ref. Expediente:]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-7" x="250" y="220" width="78" height="16" uuid="9ba17557-b942-44d1-9e18-53dca9bed0e0"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Proyecto:]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-6" x="329" y="201" width="202" height="16" uuid="f5ae4b85-9239-491b-b012-f9d1dc3ea833"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{expediente}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-7" x="329" y="220" width="202" height="16" uuid="ed97aa34-b615-43b4-9210-34cea9c60324"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{numeroAtencion}.toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-8" x="1" y="177" width="230" height="16" uuid="becf104a-97ad-4208-bfe2-ac0c4f826d46"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[S_______________ /_______________D]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-12" x="197" y="253" width="137" height="23" uuid="c252e742-160d-4939-895b-c6fb6b26390d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="12" isBold="true" isUnderline="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[SEGUNDO AVISO]]></text>
			</staticText>
			<image scaleImage="RetainShape" isUsingCache="true">
				<reportElement key="image-1" x="368" y="0" width="167" height="78" uuid="5e556ae9-94a4-4953-8724-333d0a6730bf"/>
				<imageExpression><![CDATA[$P{LOGO}]]></imageExpression>
			</image>
			<textField pattern="dd MMMMM yyyy" isBlankWhenNull="true">
				<reportElement key="textField-11" x="411" y="89" width="124" height="16" uuid="599b2f87-1f33-4da0-b1c9-c0d8f1467511"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{FECHACREADA}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-11" x="329" y="89" width="78" height="16" uuid="8969468b-f3ba-455d-b9ec-f0c76aea7766"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Mendoza, ]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-9" x="1" y="161" width="535" height="16" uuid="5212971e-cf7a-4db6-867f-54744725a161"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[(($F{departamentoNom}!= null?$F{departamentoNom}.toUpperCase()+" - ":" ")+
($F{deta_08}!= null?" "+$F{deta_08}.toUpperCase():" "))]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="357" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-15" x="0" y="332" width="529" height="20" uuid="46f2b9af-dcc9-46fd-bbb5-bdcd95c9a572"/>
				<box rightPadding="39"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Sin otro particular le saludamos muy respetuosamente.]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-12" x="0" y="8" width="533" height="64" uuid="73392f71-301c-4baf-ad22-7dbaf9b61211"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font isBold="false" pdfFontName="Helvetica"/>
					<paragraph lineSpacing="1_1_2"/>
				</textElement>
				<textFieldExpression><![CDATA["       Nos dirigimos a Ud/s. para informarle/s que no existen antecedentes en nuestros registros de que se encuentre/n al día en el cumplimiento de sus obligaciones de pago de la/s cuota/s de capital e intereses del crédito otorgado por la Administradora Provincial del Fondo con vencimiento/s a partir de la fecha que a continuación detallamos:"]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-6" x="50" y="103" width="129" height="16" uuid="21c73162-3744-4cfa-b91a-1d577b2a342b"/>
				<box>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{expediente}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-7" x="179" y="103" width="78" height="16" uuid="042b3e7e-6d2f-4eb8-b270-13f4618c6f8c"/>
				<box>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{numeroAtencion}.toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-6" x="50" y="87" width="129" height="16" uuid="806d4478-9e74-4bb7-bce6-d44e2f9ebbfd"/>
				<box>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" isBold="true"/>
				</textElement>
				<text><![CDATA[Expte.  Nº]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-7" x="179" y="87" width="78" height="16" uuid="f7e55d87-dde6-4f29-bf7f-801a5f8e4e27"/>
				<box>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" isBold="true"/>
				</textElement>
				<text><![CDATA[Proyecto Nº]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-7" x="257" y="87" width="140" height="16" uuid="b084098b-c5f6-4a07-8451-f7c5ac4f2f90"/>
				<box>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" isBold="true"/>
				</textElement>
				<text><![CDATA[Comportamiento]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-7" x="397" y="87" width="85" height="16" uuid="efb9efcf-c7bc-46c4-a4be-2718dbd65eb8"/>
				<box>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" isBold="true"/>
				</textElement>
				<text><![CDATA[Vencimiento]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement key="textField-7" x="257" y="103" width="140" height="16" uuid="012b0ae0-30b2-4750-a74e-8b75bc0cfec1"/>
				<box>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{comportamiento}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField-7" x="397" y="103" width="85" height="16" uuid="355d7e45-786d-4caf-a864-3dee0379fdfc"/>
				<box>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fechaVencimiento}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-12" x="0" y="135" width="533" height="50" uuid="cec644c9-bd19-4a31-9824-a9ce70afa4d6"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font isBold="false" pdfFontName="Helvetica"/>
					<paragraph lineSpacing="1_1_2"/>
				</textElement>
				<textFieldExpression><![CDATA["       En caso de tener cancelada la/s cuota/s que figura/n impaga/s en nuestros registros le/s solicitamos nos haga/n llegar el comprobante de pago respectivo a las siguientes direcciones de correo electrónico: pagos@ftyc.gob.ar, mora@ftyc.gob.ar. Asimismo le/s pedimos las disculpas del caso."]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement key="staticText-12" x="1" y="196" width="534" height="65" uuid="81131c48-32d5-4b6d-b47a-5efdc0cf82d4"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle" markup="none">
					<font isBold="true" isItalic="false"/>
					<paragraph lineSpacing="1_1_2"/>
				</textElement>
				<textFieldExpression><![CDATA["       En caso de ser beneficiario/s de bonificación de tasa; ésta cesará automáticamente de pleno derecho, en forma inmediata y sin necesidad de notificación previa, según lo establecido por el Contrato en el punto de \"Caducidad de la Bonificación de Tasa\".-"]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-12" x="0" y="269" width="533" height="56" uuid="2e29d8b0-ca0e-4b48-9dc6-d711a242538a"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font isBold="false" pdfFontName="Helvetica"/>
					<paragraph lineSpacing="1_1_2"/>
				</textElement>
				<textFieldExpression><![CDATA["       Para el caso de no haber realizado el pago requerido, lo/s emplazamos en el término de 5 días a regularizar su situación bajo apercibimiento de continuar las acciones previstas en el mutuo para los créditos en situación de mora."]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="160" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
